
Katello - Bug #6720

Hammer provides no content-host content management

07/22/2014 10:05 AM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1105276 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/206

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105276

Hammer currently does not provide the content management capabilities of content hosts.

Such as:

package install/update/remove

Errata install

package group install/remove

the old cli provided this functionality and the apis are there to do it.

Associated revisions

Revision 8297980b - 08/07/2014 02:40 PM - Adam Price 

fixes #6720 - adding commands for content-management, BZ 1105276

Revision cc925c2c - 08/07/2014 03:09 PM - Adam Price

refs #6720 - fixing apidoc route for errata apply

Revision 0bba5962 - 08/07/2014 03:24 PM - Adam Price 

refs #6720 - fixing some typos

Revision 1140e3f0 - 08/07/2014 06:04 PM - Adam Price

Merge pull request #4548 from komidore64/rmi6720-content-management-commands

refs #6720 - fixing apidoc route for errata apply

Revision 2618b91b - 08/07/2014 06:04 PM - Adam Price 

Merge pull request #206 from komidore64/content-management

fixes #6720 - adding commands for content-management, BZ 1105276

History

#1 - 07/28/2014 02:31 PM - Eric Helms

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/29/2014 04:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/206 added

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1105276


- Pull request deleted ()

#3 - 08/07/2014 07:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|8297980b09e184465d331674f23a65d5f974f3f0.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
